## arptables 0.0.3

=== Makefile ===
# Standard part of Makefile for topdir.
TOPLEVEL_INCLUDED=YES

ifndef KERNEL_DIR
KERNEL_DIR=include/linux
endif
ARPTABLES_VERSION:=0.0.3
OLD_ARPTABLES_VERSION:=0.0.2
MANDIR?=/usr/local/man

PREFIX:=/usr/local
LIBDIR:=$(PREFIX)/lib
BINDIR:=$(PREFIX)/sbin
MANDIR:=$(PREFIX)/man
INCDIR:=$(PREFIX)/include
BINFILE:=$(BINDIR)/arptables

# directory for new arptables releases
RELEASE_DIR:=/tmp

COPT_FLAGS:=-O2
CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include/ -Iinclude/ -DARPTABLES_VERSION=\"$(ARPTABLES_VERSION)\" #-g -DDEBUG #-pg # -DARPTC_DEBUG

EXTRAS+=iptables iptables.o
EXTRA_INSTALLS+=$(DESTDIR)$(BINDIR)/iptables $(DESTDIR)$(MANDIR)/man8/iptables.8

ifndef ARPT_LIBDIR
ARPT_LIBDIR:=$(LIBDIR)/arptables
endif

include extensions/Makefile

all: arptables

arptables.o: arptables.c
	$(CC) $(CFLAGS) -DIPT_LIB_DIR=\"$(IPT_LIBDIR)\" -c -o $@ $<

arptables-standalone.o: arptables-standalone.c
	$(CC) $(CFLAGS) -DIPT_LIB_DIR=\"$(IPT_LIBDIR)\" -c -o $@ $<

libarptc/libarptc.o: libarptc/libarptc.c libarptc/libarptc_incl.c
	$(CC) $(CFLAGS) -DIPT_LIB_DIR=\"$(IPT_LIBDIR)\" -c -o $@ $<

arptables: arptables-standalone.o arptables.o libarptc/libarptc.o $(EXT_OBJS)
	$(CC) $(CFLAGS)  -o $@ $^

$(DESTDIR)$(BINDIR)/arptables: arptables
	@[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	cp $< $@

$(MANDIR)/man8/arptables.8: arptables.8
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

.PHONY: exec
exec: arptables
	install -m 0755 -o root -g root $< $(BINFILE)

.PHONY: install
install: $(MANDIR)/man8/arptables.8 exec

.PHONY: clean
clean:
	rm -f arptables
	rm -f *.o *.c~
	rm -f extensions/*.o extensions/*.c~
	rm -f libarptc/*.o libarptc/*.c~

DIR:=arptables-v$(ARPTABLES_VERSION)
# This is used to make a new userspace release
.PHONY: release
release:
	mkdir -p include/linux/netfilter_arp
	install -m 0644 -o root -g root \
		$(KERNEL_DIR)/include/linux/netfilter_arp.h include/linux/
	install -m 0644 -o root -g root \
		$(KERNEL_DIR)/include/linux/netfilter_arp/*.h \
		include/linux/netfilter_arp/
	install -m 0644 -o root -g root \
		include/netfilter_arp.h include/linux/netfilter_arp.h
	install -m 0644 -o root -g root \
		include/arp_tables.h include/linux/netfilter_arp/arp_tables.h
	make clean
	cd ..;tar -c $(DIR) | gzip >$(DIR).tar.gz

## arptables 0.0.3.3

=== Makefile ===
ARPTABLES_VERSION:=0.0.3-3

KERNEL_DIR:=./
# default paths
PREFIX:=/usr/local
LIBDIR:=$(PREFIX)/lib
BINDIR:=$(PREFIX)/sbin
MANDIR:=$(PREFIX)/man
INITDIR:=/etc/rc.d/init.d
SYSCONFIGDIR:=/etc/sysconfig
DESTDIR:=

COPT_FLAGS:=-O2
CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include/ -Iinclude/ -DARPTABLES_VERSION=\"$(ARPTABLES_VERSION)\" #-g -DDEBUG #-pg # -DARPTC_DEBUG

ifndef ARPT_LIBDIR
ARPT_LIBDIR:=$(LIBDIR)/arptables
endif

include extensions/Makefile

all: arptables

arptables.o: arptables.c
	$(CC) $(CFLAGS) -c -o $@ $<

arptables-standalone.o: arptables-standalone.c
	$(CC) $(CFLAGS) -c -o $@ $<

libarptc/libarptc.o: libarptc/libarptc.c libarptc/libarptc_incl.c
	$(CC) $(CFLAGS) -c -o $@ $<

arptables: arptables-standalone.o arptables.o libarptc/libarptc.o $(EXT_OBJS)
	$(CC) $(CFLAGS) -o $@ $^

$(DESTDIR)$(MANDIR)/man8/arptables.8: arptables.8
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

$(DESTDIR)$(BINDIR)/arptables: arptables
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 0755 -o root -g root $< $@

tmp1:=$(shell printf $(BINDIR) | sed 's/\//\\\//g')
tmp2:=$(shell printf $(SYSCONFIGDIR) | sed 's/\//\\\//g')
.PHONY: scripts
scripts: arptables-save arptables-restore arptables.sysv
	cat arptables-save | sed 's/__EXEC_PATH__/$(tmp1)/g' > arptables-save_
	install -m 0755 -o root -g root arptables-save_ $(DESTDIR)$(BINDIR)/arptables-save
	cat arptables-restore | sed 's/__EXEC_PATH__/$(tmp1)/g' > arptables-restore_
	install -m 0755 -o root -g root arptables-restore_ $(DESTDIR)$(BINDIR)/arptables-restore
	cat arptables.sysv | sed 's/__EXEC_PATH__/$(tmp1)/g' | sed 's/__SYSCONFIG__/$(tmp2)/g' > arptables.sysv_
	install -m 0755 -o root -g root arptables.sysv_ $(DESTDIR)$(INITDIR)/arptables
	rm -f arptables-save_ arptables-restore_ arptables.sysv_

.PHONY: install
install: $(DESTDIR)$(MANDIR)/man8/arptables.8 $(DESTDIR)$(BINDIR)/arptables scripts

.PHONY: clean
clean:
	rm -f arptables
	rm -f *.o *~
	rm -f extensions/*.o extensions/*~
	rm -f libarptc/*.o libarptc/*~
	rm -f include/*~ include/libarptc/*~

DIR:=arptables-v$(ARPTABLES_VERSION)
CVSDIRS:=CVS extensions/CVS libarptc/CVS include/CVS include/libarptc/CVS
# This is used to make a new userspace release
.PHONY: release
release:
	rm -rf $(CVSDIRS)
	mkdir -p include/linux/netfilter_arp
	install -m 0644 -o root -g root \
		$(KERNEL_DIR)/include/linux/netfilter_arp.h include/linux/
	install -m 0644 -o root -g root \
		$(KERNEL_DIR)/include/linux/netfilter_arp/*.h \
		include/linux/netfilter_arp/
	install -m 0644 -o root -g root \
		include/arp_tables.h include/linux/netfilter_arp/arp_tables.h
	make clean
	cd ..;tar -c $(DIR) | gzip >$(DIR).tar.gz

## arptables 0.0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ARPTABLES_VERSION:=0.0.3-3
+ARPTABLES_VERSION:=0.0.3-4
 
 KERNEL_DIR:=./
 # default paths
@@ -50,7 +50,7 @@
 	cat arptables-restore | sed 's/__EXEC_PATH__/$(tmp1)/g' > arptables-restore_
 	install -m 0755 -o root -g root arptables-restore_ $(DESTDIR)$(BINDIR)/arptables-restore
 	cat arptables.sysv | sed 's/__EXEC_PATH__/$(tmp1)/g' | sed 's/__SYSCONFIG__/$(tmp2)/g' > arptables.sysv_
-	install -m 0755 -o root -g root arptables.sysv_ $(DESTDIR)$(INITDIR)/arptables
+	if test -d $(DESTDIR)$(INITDIR); then install -m 0755 -o root -g root arptables.sysv_ $(DESTDIR)$(INITDIR)/arptables; fi
 	rm -f arptables-save_ arptables-restore_ arptables.sysv_
 
 .PHONY: install
@@ -65,18 +65,11 @@
 	rm -f include/*~ include/libarptc/*~
 
 DIR:=arptables-v$(ARPTABLES_VERSION)
-CVSDIRS:=CVS extensions/CVS libarptc/CVS include/CVS include/libarptc/CVS
+CVSDIRS:=CVS extensions/CVS libarptc/CVS include/CVS include/libarptc/CVS include/linux/CVS include/linux/netfilter_arp/CVS
 # This is used to make a new userspace release
 .PHONY: release
 release:
 	rm -rf $(CVSDIRS)
-	mkdir -p include/linux/netfilter_arp
-	install -m 0644 -o root -g root \
-		$(KERNEL_DIR)/include/linux/netfilter_arp.h include/linux/
-	install -m 0644 -o root -g root \
-		$(KERNEL_DIR)/include/linux/netfilter_arp/*.h \
-		include/linux/netfilter_arp/
-	install -m 0644 -o root -g root \
-		include/arp_tables.h include/linux/netfilter_arp/arp_tables.h
 	make clean
-	cd ..;tar -c $(DIR) | gzip >$(DIR).tar.gz
+	cd ..;find $(DIR) -exec touch {} \;;find $(DIR) -exec chmod o-r,g-r,o-w,g-w,o-x,g-x {} \;;tar -pc $(DIR) | gzip >$(DIR).tar.gz
+

=== extensions/Makefile ===
#! /usr/bin/make

EXT_FUNC+=standard mangle
EXT_OBJS+=$(foreach T,$(EXT_FUNC), extensions/arpt_$(T).o)

extensions/ebt_%.o: extensions/arpt_%.c include/arptables.h include/arptables_common.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $<

=== debian/changelog ===
arptables (0.0.3.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:19 +0000

arptables (0.0.3.4-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4

 -- Jochen Friedrich <jochen@scram.de>  Thu, 06 May 2010 17:54:18 +0200

arptables (0.0.3.3-3) unstable; urgency=low

  * Change dpatch to quilt and simplify rules.
  * Add README.source.
  * Fix watch file.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 16 Oct 2009 19:09:15 +0200

arptables (0.0.3.3-2) unstable; urgency=low

  * Fix arptables-save
   o Don't resolve hostnames (Closes: #533497)
   o Omit '*' interface in rules (Closes: #533496)
  * Bump Standards version to 3.8.3
  * Add homepage tag

 -- Jochen Friedrich <jochen@scram.de>  Wed, 19 Aug 2009 14:39:39 +0200

arptables (0.0.3.3-1) unstable; urgency=low

  * New upstream release
   o includes fix for linux/config.h include file
   o removed some compiler warnings
   o include arptables-save / arptables-restore scripts
  * Update watchfile to support subreleases
  * Standards version 3.7.3
  * Update to debhelper v7 / dpatch and replaced cdbs
  * Include patch from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to make
    iptables --proto-type also accept hexadecimal inputs (Closes: #411169)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 08 May 2008 17:43:16 +0200

arptables (0.0.3-2) unstable; urgency=low

  * Remove linux/config.h include file (Closes: #427264)
    Thanks to Jose Luis Rivas Contreras <ghostbar38@gmail.com>
  * Added watch file
  * Standards version 3.7.2 (no changes)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 21 Jun 2007 14:06:06 +0200

arptables (0.0.3-1) unstable; urgency=low

  * Initial Release. (Closes: #212914)

 -- Jochen Friedrich <jochen@scram.de>  Sat, 25 Oct 2003 15:54:19 +0200

=== debian/control ===
Source: arptables
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~)
Homepage: http://ebtables.sourceforge.net

Package: arptables
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARP table administration
 Arptables is used to set up, maintain, and inspect the tables of 
 ARP rules in the Linux kernel. It is analogous to iptables,
 but operates at the ARP layer rather than the IP layer.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" http://sf.net/ebtables/arptables-v([[:digit:].-]*)\.tar\.gz

## arptables 0.0.4

=== debian/changelog ===
arptables (0.0.4-2) unstable; urgency=medium

  * [1a26c32] d/patch: Add dpkg-buildflags
  * [5869fd6] d/patches: cleanup sysvinit script (Closes: #897976)

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 09 May 2018 17:21:06 +0000

arptables (0.0.4-1) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [9e86b20] New upstream version 0.0.4

  [ Arturo Borrero Gonzalez ]
  * [8d554a1] d/patches: replace 01_Makefile.diff with
    0001-debian-defaults.patch
  * [5f8d185] d/patches: drop 02_manpage.diff
  * [3b3324a] d/patches: drop 03_type.diff
  * [b2d0146] d/patches: drop 04_arptables-save.diff

  [ Alberto Molina Coballes ]
  * [bbe8faf] Modifying debian/copyright according to DEP-5
  * [fec4507] Updating debian/compat to 11
  * [88f65fd] Updating maintainers and adding uploaders (Closes: #891758)
  * [1a66102] Adding VCS-* headers
  * [e87d9dd] Updating Homepage header
  * [84776dc] Updating to debhelper 11
  * [b210e11] Updating Standards-Version to 4.1.3
  * [d8b2837] d/patches: refresh 0001_debian-defaults.patch
  * [6623413] d/watch: updating upstream url

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 04 Apr 2018 16:24:23 +0000

arptables (0.0.3.4-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #891758)
  * Package is Linux-only, change to Architecture: linux-any.
    (Closes: #745161)

 -- Adrian Bunk <bunk@debian.org>  Thu, 08 Mar 2018 15:42:17 +0200

=== debian/control ===
Source: arptables
Section: net
Priority: optional
Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
Uploaders: Alberto Molina Coballes <alb.molina@gmail.com>
Standards-Version: 4.1.3
Build-Depends: debhelper (>= 11)
Homepage: http://www.netfilter.org/
Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables
Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables

Package: arptables
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ARP table administration
 Arptables is used to set up, maintain, and inspect the tables of
 ARP rules in the Linux kernel. It is analogous to iptables,
 but operates at the ARP layer rather than the IP layer.

## arptables 0.0.4+snapshot20181021

=== Makefile ===
ARPTABLES_VERSION:=0.0.4

KERNEL_DIR:=./
# default paths
PREFIX:=/usr/local
LIBDIR:=$(PREFIX)/lib
BINDIR:=$(PREFIX)/sbin
MANDIR:=$(PREFIX)/man
man8dir=$(MANDIR)/man8
SYSCONFIGDIR:=/etc/sysconfig
DESTDIR:=

MANS = arptables-legacy.8 arptables-save.8 arptables-restore.8

COPT_FLAGS:=-O2
CFLAGS:=$(COPT_FLAGS) -Wall -Wunused -I$(KERNEL_DIR)/include/ -Iinclude/ -DARPTABLES_VERSION=\"$(ARPTABLES_VERSION)\" #-g -DDEBUG #-pg # -DARPTC_DEBUG

ifndef ARPT_LIBDIR
ARPT_LIBDIR:=$(LIBDIR)/arptables
endif

include extensions/Makefile

all: arptables-legacy libarptc/libarptc.a

arptables.o: arptables.c
	$(CC) $(CFLAGS) -c -o $@ $<

arptables-standalone.o: arptables-standalone.c
	$(CC) $(CFLAGS) -c -o $@ $<

libarptc/libarptc.o: libarptc/libarptc.c libarptc/libarptc_incl.c
	$(CC) $(CFLAGS) -c -o $@ $<

libarptc/libarptc.a: libarptc/libarptc.o
	$(AR) rcs $@ $<

arptables-legacy: arptables-standalone.o arptables.o libarptc/libarptc.o $(EXT_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

$(DESTDIR)$(BINDIR)/arptables-legacy: arptables-legacy
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 0755 $< $@

tmp1:=$(shell printf $(BINDIR) | sed 's/\//\\\//g')
tmp2:=$(shell printf $(SYSCONFIGDIR) | sed 's/\//\\\//g')
.PHONY: scripts
scripts: arptables-save arptables-restore
	cat arptables-save | sed 's/__EXEC_PATH__/$(tmp1)/g' > arptables-save_
	install -m 0755 arptables-save_ $(DESTDIR)$(BINDIR)/arptables-save
	cat arptables-restore | sed 's/__EXEC_PATH__/$(tmp1)/g' > arptables-restore_
	install -m 0755 arptables-restore_ $(DESTDIR)$(BINDIR)/arptables-restore
	rm -f arptables-save_ arptables-restore_

.PHONY: install-man
install-man: $(MANS)
	[ -d "$(DESTDIR)$(man8dir)" ] || mkdir -p "$(DESTDIR)$(man8dir)"
	install -m 0644 $^ $(DESTDIR)$(man8dir)/

.PHONY: install
install: install-man $(DESTDIR)$(BINDIR)/arptables-legacy scripts

.PHONY: clean
clean:
	rm -f arptables-legacy
	rm -f *.o *~
	rm -f extensions/*.o extensions/*~
	rm -f libarptc/*.o libarptc/*~ libarptc/*.a
	rm -f include/*~ include/libarptc/*~

DIR:=arptables-v$(ARPTABLES_VERSION)
# This is used to make a new userspace release
.PHONY: release
release:
	make clean
	cd ..;find $(DIR) -exec touch {} \;;find $(DIR) -exec chmod o-r,g-r,o-w,g-w,o-x,g-x {} \;;tar -pc $(DIR) | gzip >$(DIR).tar.gz

=== debian/changelog ===
arptables (0.0.4+snapshot20181021-4) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [88703e1] src:arptables: add salsa CI integration

  [ Alberto Molina Coballes ]
  * [eb7a44d] d/arptables.prerm: Remove /sbin symlinks on not usr-merged systems
    (Closes: #926728)

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 17 Apr 2019 15:24:53 +0000

arptables (0.0.4+snapshot20181021-3) unstable; urgency=medium

  * [090bcbc] d/dirs: /sbin no longer required
  * [85e682e] d/patches: rename arptables-save and arptables-restore
    (Closes: #918900)
  * [a419984] d/arptables.manpages: rename arptables-* man pages
  * [b8fc52f] d/patch: Add CPPFLAGS

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Fri, 11 Jan 2019 17:02:26 +0000

arptables (0.0.4+snapshot20181021-2) unstable; urgency=medium

  * [ce08bbe] d/arptables.prerm: iptables verification deleted

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Tue, 08 Jan 2019 16:31:48 +0000

arptables (0.0.4+snapshot20181021-1) unstable; urgency=medium

  * [2c7c7c6] New upstream version 0.0.4+snapshot20181021
  * [c6b2324] d/patches: Adapt the default patch to the latest upstream version
  * [3076713] arptables: introduce /sbin compatibility symlinks
  * [4108b0d] arptables: introduce alternatives for /usr/sbin/arptables
    (Closes: #916106)
  * [f7b48be] d/control: bump std-version to 4.3.0

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Sun, 06 Jan 2019 17:00:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
 Uploaders: Alberto Molina Coballes <alb.molina@gmail.com>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11)
 Homepage: http://www.netfilter.org/
 Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables

=== debian/watch ===
version=3
http://ftp.netfilter.org/pub/arptables/arptables-v(\S+).tar.gz

## arptables 0.0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ARPTABLES_VERSION:=0.0.4
+ARPTABLES_VERSION:=0.0.5
 
 KERNEL_DIR:=./
 # default paths

=== debian/changelog ===
arptables (0.0.5-5) unstable; urgency=medium

  * [355c24d] d/control: bump Standards-Version to 4.7.0
  * [d41cd49] d/control: update `Maintainer:` address
  * [0a736df] d/patches: rename patches
  * [c51266b] d/patches: update DEP-3 headers
  * [09555cc] d/patches: split build patch
  * [e9fc97d] d/patches: update build flag fixes
  * [5507085] d/patches: correct extension target
  * [19ae226] d/patches: refactor creation of bin directory

 -- Jeremy Sowden <azazel@debian.org>  Sun, 24 Nov 2024 20:10:58 +0000

arptables (0.0.5-4) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [733a015] d/control: bump std-version to 4.6.0

  [ Jeremy Sowden ]
  * [77f41d1] d/arptables.postinst: fix indentation
  * [5e614b6] d/arptables.postinst: test symlinks with `-h`, not `-e`
  * [3cdf4ae] d/arptables.prerm: test symlinks with `-h`, not `-L`
  * [a205a6a] d/gbp.conf: default: enable `pristine-tar`
  * [0caeddf] d/gbp.conf: dch: set `id-length`
  * [8361aa4] d/control: bump Standards-Version to 4.6.2
  * [02d3e30] d/control: add myself to uploaders
  * [07ffb6d] d/control: set `Rules-Requires-Root: no`
  * [4eec638] d/watch: use HTTPS URL
  * [3087d09] d/rules: enable hardening
  * [15bc7c1] d/control: add `${perl:Depends}`
  * [30195e4] d/copyright, d/dirs: trim blank lines
  * [50f9735] d/control: update my e-mail address
  * [9678a66] d/patches: add a patch to fix spelling errors

 -- Jeremy Sowden <azazel@debian.org>  Fri, 08 Mar 2024 22:14:50 +0000

arptables (0.0.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not install /sbin/* compat symlink, cleans them if they are still
    present (Closes: #1007829).

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2022 10:31:00 +0200

arptables (0.0.5-3) unstable; urgency=medium

  * [9e68e1c] d/tests/control: add isolation-machine restriction to tests

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Tue, 09 Jun 2020 15:47:38 +0000

arptables (0.0.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [4532b7e] debian/copyright: use spaces rather than tabs to start
    continuation lines.
  * [03a8516] Use secure URI in Homepage field.
  * [52fdcb5] Bump debhelper from old 11 to 12.
  * [e4d374e] Set debhelper-compat version in Build-Depends.
  * [2f180ad] Use canonical URL in Vcs-Git.
  * [4dba561] Update standards version to 4.5.0, no changes needed.

  [ Alberto Molina Coballes ]
  * [e4526ab] ebtables: bump debhelper-compat to 13
  * [8e48f23] arptables: add basic autopkgtests

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Sat, 06 Jun 2020 15:49:40 +0000

arptables (0.0.5-1) unstable; urgency=medium

  * [660794f] d/watch: update upstream url regexp
  * [1e49f0b] New upstream version 0.0.5
  * [47d2e6f] d/control: bump std-version to 4.4.1

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Thu, 05 Dec 2019 09:19:42 +0000

=== debian/control ===
Source: arptables
Section: net
Priority: optional
Maintainer: Debian Netfilter Packaging Team <team+pkg-netfilter-team@tracker.debian.org>
Uploaders: Alberto Molina Coballes <alb.molina@gmail.com>,
           Jeremy Sowden <azazel@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://www.netfilter.org/
Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables.git
Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-arptables

Package: arptables
Architecture: linux-any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: ARP table administration
 Arptables is used to set up, maintain, and inspect the tables of
 ARP rules in the Linux kernel. It is analogous to iptables,
 but operates at the ARP layer rather than the IP layer.

=== debian/watch ===
version=4
https://www.netfilter.org/pub/arptables/arptables-v?([\.\d\-]+).tar.gz
